FIX::Event Class Reference

Portable implementation of an event/conditional mutex. More...

`#include <Event.h>`

## Public Member Functions

| Event ()
| ~Event ()
void | signal ()
void | wait (double s)

## Private Attributes

pthread_cond_t | m_event
pthread_mutex_t | m_mutex

## Detailed Description

Portable implementation of an event/conditional mutex.

Definition at line 53 of file Event.h.

## Constructor & Destructor Documentation

## Event()

FIX::Event::Event | ( |  | ) |

inline

Definition at line 73 of file Event.h.

:
#ifdef _MSC_VER

## ~Event()

FIX::Event::~Event | ( |  | ) |

inline

Definition at line 83 of file Event.h.

:
#ifdef _MSC_VER
HANDLE m_event;
#else
pthread_cond_t m_event;
pthread_mutex_t m_mutex;
#endif

## Member Function Documentation

## signal()

void FIX::Event::signal | ( |  | ) |

inline

Definition at line 93 of file Event.h.

## wait()

void FIX::Event::wait | ( | double | s | ) |

inline

Definition at line 104 of file Event.h.

## Member Data Documentation

## m_event

pthread_cond_t FIX::Event::m_event

private

Definition at line 123 of file Event.h.

## m_mutex

pthread_mutex_t FIX::Event::m_mutex

private

Definition at line 124 of file Event.h.

The documentation for this class was generated from the following file:

- Event.h

FIX::Event::m_event
pthread_cond_t m_event
Definition: Event.h:123
FIX::Event::m_mutex
pthread_mutex_t m_mutex
Definition: Event.h:124